Subject: [Ace] draft-greevenbosch-core-authreq-00

From: "Hannes Tschofenig" <[email-masked]>
Date: Thu, 12 Dec 2013 18:36:49 +0100 (CET)

Dear Bert,

Thanks for your document. I also ran into questions when I looked at your document.

Your first use case (Section 3.1; maybe also Section 3.8?) with the title “authorized and unauthorized devices” make an interesting distinction between the two types of devices. You basically draw the line based on whether the device passed certification testing (or not). During the protocol execution you seem to assume that the authentication credentials reveal whether a device passed certification testing or not. While this is clearly possible it is a rather unusual scenario. Is this something you have seen being used or envisioned somewhere or did you create this scenario yourself?

Many of the scenarios you outline deal with revocation (such as Section 3.3, 3.5, 3.6, 3.7). The scenarios described in Scenarios 3.2 and 3.4 raise the requirements for fine-grained access control. Was this intentional or did I misinterpret something?

For the text in Section 3.9 you focus on a small subset of privacy threats, namely surveillance. Maybe you should refer explicitly to surveillance or extend the write-up to also include other privacy threats, see RFC 6973.

Similarly to my comments regarding the other documents I am curious how you came up with these scenarios. It is fine if you came up with them yourself but it would be good to know.

Ciao

Hannes